<?php

	$food_blogger_hub_tp_theme_css = "";

$food_blogger_hub_theme_lay = get_theme_mod( 'food_blogger_hub_tp_body_layout_settings','Full');
if($food_blogger_hub_theme_lay == 'Container'){
$food_blogger_hub_tp_theme_css .='body{';
	$food_blogger_hub_tp_theme_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
$food_blogger_hub_tp_theme_css .='}';
$food_blogger_hub_tp_theme_css .='@media screen and (max-width:575px){';
		$food_blogger_hub_tp_theme_css .='body{';
			$food_blogger_hub_tp_theme_css .='max-width: 100%; padding-right:0px; padding-left: 0px';
		$food_blogger_hub_tp_theme_css .='} }';
$food_blogger_hub_tp_theme_css .='.page-template-front-page .menubar{';
	$food_blogger_hub_tp_theme_css .='position: static;';
$food_blogger_hub_tp_theme_css .='}';
$food_blogger_hub_tp_theme_css .='.scrolled{';
	$food_blogger_hub_tp_theme_css .='width: auto; left:0; right:0;';
$food_blogger_hub_tp_theme_css .='}';
}else if($food_blogger_hub_theme_lay == 'Container Fluid'){
$food_blogger_hub_tp_theme_css .='body{';
	$food_blogger_hub_tp_theme_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
$food_blogger_hub_tp_theme_css .='}';
$food_blogger_hub_tp_theme_css .='@media screen and (max-width:575px){';
		$food_blogger_hub_tp_theme_css .='body{';
			$food_blogger_hub_tp_theme_css .='max-width: 100%; padding-right:0px; padding-left:0px';
		$food_blogger_hub_tp_theme_css .='} }';
$food_blogger_hub_tp_theme_css .='.page-template-front-page .menubar{';
	$food_blogger_hub_tp_theme_css .='width: 99%';
$food_blogger_hub_tp_theme_css .='}';		
$food_blogger_hub_tp_theme_css .='.scrolled{';
	$food_blogger_hub_tp_theme_css .='width: auto; left:0; right:0;';
$food_blogger_hub_tp_theme_css .='}';
}else if($food_blogger_hub_theme_lay == 'Full'){
$food_blogger_hub_tp_theme_css .='body{';
	$food_blogger_hub_tp_theme_css .='max-width: 100%;';
$food_blogger_hub_tp_theme_css .='}';
}

$food_blogger_hub_scroll_position = get_theme_mod( 'food_blogger_hub_scroll_top_position','Right');
if($food_blogger_hub_scroll_position == 'Right'){
$food_blogger_hub_tp_theme_css .='#return-to-top{';
    $food_blogger_hub_tp_theme_css .='right: 20px;';
$food_blogger_hub_tp_theme_css .='}';
}else if($food_blogger_hub_scroll_position == 'Left'){
$food_blogger_hub_tp_theme_css .='#return-to-top{';
    $food_blogger_hub_tp_theme_css .='left: 20px;';
$food_blogger_hub_tp_theme_css .='}';
}else if($food_blogger_hub_scroll_position == 'Center'){
$food_blogger_hub_tp_theme_css .='#return-to-top{';
    $food_blogger_hub_tp_theme_css .='right: 50%;left: 50%;';
$food_blogger_hub_tp_theme_css .='}';
}

    
//Social icon Font size
$food_blogger_hub_social_icon_fontsize = get_theme_mod('food_blogger_hub_social_icon_fontsize');
	$food_blogger_hub_tp_theme_css .='.media-links a i{';
$food_blogger_hub_tp_theme_css .='font-size: '.esc_attr($food_blogger_hub_social_icon_fontsize).'px;';
$food_blogger_hub_tp_theme_css .='}';

// site title font size option
$food_blogger_hub_site_title_font_size = get_theme_mod('food_blogger_hub_site_title_font_size', 30);{
$food_blogger_hub_tp_theme_css .='.logo h1 , .logo p a{';
	$food_blogger_hub_tp_theme_css .='font-size: '.esc_attr($food_blogger_hub_site_title_font_size).'px;';
$food_blogger_hub_tp_theme_css .='}';
}

//site tagline font size option
$food_blogger_hub_site_tagline_font_size = get_theme_mod('food_blogger_hub_site_tagline_font_size', 15);{
$food_blogger_hub_tp_theme_css .='.logo p{';
	$food_blogger_hub_tp_theme_css .='font-size: '.esc_attr($food_blogger_hub_site_tagline_font_size).'px;';
$food_blogger_hub_tp_theme_css .='}';
}

// related post
$food_blogger_hub_related_post_mob = get_theme_mod('food_blogger_hub_related_post_mob', true);
$food_blogger_hub_related_post = get_theme_mod('food_blogger_hub_remove_related_post', true);
$food_blogger_hub_tp_theme_css .= '.related-post-block {';
if ($food_blogger_hub_related_post == false) {
    $food_blogger_hub_tp_theme_css .= 'display: none;';
}
$food_blogger_hub_tp_theme_css .= '}';
$food_blogger_hub_tp_theme_css .= '@media screen and (max-width: 575px) {';
if ($food_blogger_hub_related_post == false || $food_blogger_hub_related_post_mob == false) {
    $food_blogger_hub_tp_theme_css .= '.related-post-block { display: none; }';
}
$food_blogger_hub_tp_theme_css .= '}';

//return to header mobile				
$food_blogger_hub_return_to_header_mob = get_theme_mod('food_blogger_hub_return_to_header_mob', true);
$food_blogger_hub_return_to_header = get_theme_mod('food_blogger_hub_return_to_header', true);
$food_blogger_hub_tp_theme_css .= '.return-to-header{';
if ($food_blogger_hub_return_to_header == false) {
    $food_blogger_hub_tp_theme_css .= 'display: none;';
}
$food_blogger_hub_tp_theme_css .= '}';
$food_blogger_hub_tp_theme_css .= '@media screen and (max-width: 575px) {';
if ($food_blogger_hub_return_to_header == false || $food_blogger_hub_return_to_header_mob == false) {
    $food_blogger_hub_tp_theme_css .= '.return-to-header{ display: none; }';
}
$food_blogger_hub_tp_theme_css .= '}';

//blog description              
$food_blogger_hub_mobile_blog_description = get_theme_mod('food_blogger_hub_mobile_blog_description', true);
$food_blogger_hub_tp_theme_css .= '@media screen and (max-width: 575px) {';
if ($food_blogger_hub_mobile_blog_description == false) {
    $food_blogger_hub_tp_theme_css .= '.blog-description{ display: none; }';
}
$food_blogger_hub_tp_theme_css .= '}';

//footer image
$food_blogger_hub_footer_widget_image = get_theme_mod('food_blogger_hub_footer_widget_image');
if($food_blogger_hub_footer_widget_image != false){
$food_blogger_hub_tp_theme_css .='#footer{';
	$food_blogger_hub_tp_theme_css .='background: url('.esc_attr($food_blogger_hub_footer_widget_image).');';
$food_blogger_hub_tp_theme_css .='}';
}

// related product
$food_blogger_hub_related_product = get_theme_mod('food_blogger_hub_related_product',true);
if($food_blogger_hub_related_product == false){
$food_blogger_hub_tp_theme_css .='.related.products{';
	$food_blogger_hub_tp_theme_css .='display: none;';
$food_blogger_hub_tp_theme_css .='}';
}

//menu font size
$food_blogger_hub_menu_font_size = get_theme_mod('food_blogger_hub_menu_font_size', '');{
$food_blogger_hub_tp_theme_css .='.main-navigation a, .main-navigation li.page_item_has_children:after,.main-navigation li.menu-item-has-children:after{';
	$food_blogger_hub_tp_theme_css .='font-size: '.esc_attr($food_blogger_hub_menu_font_size).'px;';
$food_blogger_hub_tp_theme_css .='}';
}

// menu text tranform
$food_blogger_hub_menu_text_tranform = get_theme_mod( 'food_blogger_hub_menu_text_tranform','');
if($food_blogger_hub_menu_text_tranform == 'Uppercase'){
$food_blogger_hub_tp_theme_css .='.main-navigation a {';
	$food_blogger_hub_tp_theme_css .='text-transform: uppercase;';
$food_blogger_hub_tp_theme_css .='}';
}else if($food_blogger_hub_menu_text_tranform == 'Lowercase'){
$food_blogger_hub_tp_theme_css .='.main-navigation a {';
	$food_blogger_hub_tp_theme_css .='text-transform: lowercase;';
$food_blogger_hub_tp_theme_css .='}';
}
else if($food_blogger_hub_menu_text_tranform == 'Capitalize'){
$food_blogger_hub_tp_theme_css .='.main-navigation a {';
	$food_blogger_hub_tp_theme_css .='text-transform: capitalize;';
$food_blogger_hub_tp_theme_css .='}';
}

/*------------- Blog Page------------------*/
	$food_blogger_hub_post_image_round = get_theme_mod('food_blogger_hub_post_image_round', 0);
	if($food_blogger_hub_post_image_round != false){
		$food_blogger_hub_tp_theme_css .='.blog .box-image img{';
			$food_blogger_hub_tp_theme_css .='border-radius: '.esc_attr($food_blogger_hub_post_image_round).'px;';
		$food_blogger_hub_tp_theme_css .='}';
	}

	$food_blogger_hub_post_image_width = get_theme_mod('food_blogger_hub_post_image_width', '');
	if($food_blogger_hub_post_image_width != false){
		$food_blogger_hub_tp_theme_css .='.blog .box-image img{';
			$food_blogger_hub_tp_theme_css .='Width: '.esc_attr($food_blogger_hub_post_image_width).'px;';
		$food_blogger_hub_tp_theme_css .='}';
	}

	$food_blogger_hub_post_image_length = get_theme_mod('food_blogger_hub_post_image_length', '');
	if($food_blogger_hub_post_image_length != false){
		$food_blogger_hub_tp_theme_css .='.blog .box-image img{';
			$food_blogger_hub_tp_theme_css .='height: '.esc_attr($food_blogger_hub_post_image_length).'px;';
		$food_blogger_hub_tp_theme_css .='}';
	}

	// footer widget title font size
	$food_blogger_hub_footer_widget_title_font_size = get_theme_mod('food_blogger_hub_footer_widget_title_font_size', '');{
	$food_blogger_hub_tp_theme_css .='#footer h3{';
		$food_blogger_hub_tp_theme_css .='font-size: '.esc_attr($food_blogger_hub_footer_widget_title_font_size).'px;';
	$food_blogger_hub_tp_theme_css .='}';
	}

	// Copyright text font size
	$food_blogger_hub_footer_copyright_font_size = get_theme_mod('food_blogger_hub_footer_copyright_font_size', '');{
	$food_blogger_hub_tp_theme_css .='#footer .site-info p{';
		$food_blogger_hub_tp_theme_css .='font-size: '.esc_attr($food_blogger_hub_footer_copyright_font_size).'px;';
	$food_blogger_hub_tp_theme_css .='}';
	}

	// copyright padding
	$food_blogger_hub_footer_copyright_top_bottom_padding = get_theme_mod('food_blogger_hub_footer_copyright_top_bottom_padding', '');
	if ($food_blogger_hub_footer_copyright_top_bottom_padding !== '') { 
	    $food_blogger_hub_tp_theme_css .= '.site-info {';
	    $food_blogger_hub_tp_theme_css .= 'padding-top: ' . esc_attr($food_blogger_hub_footer_copyright_top_bottom_padding) . 'px;';
	    $food_blogger_hub_tp_theme_css .= 'padding-bottom: ' . esc_attr($food_blogger_hub_footer_copyright_top_bottom_padding) . 'px;';
	    $food_blogger_hub_tp_theme_css .= '}';
	}
	
	// copyright position
	$food_blogger_hub_copyright_text_position = get_theme_mod( 'food_blogger_hub_copyright_text_position','Center');
	if($food_blogger_hub_copyright_text_position == 'Center'){
	$food_blogger_hub_tp_theme_css .='#footer .site-info p{';
	$food_blogger_hub_tp_theme_css .='text-align:center;';
	$food_blogger_hub_tp_theme_css .='}';
	}else if($food_blogger_hub_copyright_text_position == 'Left'){
	$food_blogger_hub_tp_theme_css .='#footer .site-info p{';
	$food_blogger_hub_tp_theme_css .='text-align:left;';
	$food_blogger_hub_tp_theme_css .='}';
	}else if($food_blogger_hub_copyright_text_position == 'Right'){
	$food_blogger_hub_tp_theme_css .='#footer .site-info p{';
	$food_blogger_hub_tp_theme_css .='text-align:right;';
	$food_blogger_hub_tp_theme_css .='}';
}

// Header Image title font size
$food_blogger_hub_header_image_title_font_size = get_theme_mod('food_blogger_hub_header_image_title_font_size', '32');{
$food_blogger_hub_tp_theme_css .='.box-text h2{';
    $food_blogger_hub_tp_theme_css .='font-size: '.esc_attr($food_blogger_hub_header_image_title_font_size).'px;';
$food_blogger_hub_tp_theme_css .='}';
}


/*--------------------------- banner image Opacity -------------------*/
    $food_blogger_hub_theme_lay = get_theme_mod( 'food_blogger_hub_header_banner_opacity_color','0.7');
        if($food_blogger_hub_theme_lay == '0'){
            $food_blogger_hub_tp_theme_css .='.single-page-img, .featured-image{';
                $food_blogger_hub_tp_theme_css .='opacity:0';
            $food_blogger_hub_tp_theme_css .='}';
        }else if($food_blogger_hub_theme_lay == '0.1'){
            $food_blogger_hub_tp_theme_css .='.single-page-img, .featured-image{';
                $food_blogger_hub_tp_theme_css .='opacity:0.1';
            $food_blogger_hub_tp_theme_css .='}';
        }else if($food_blogger_hub_theme_lay == '0.2'){
            $food_blogger_hub_tp_theme_css .='.single-page-img, .featured-image{';
                $food_blogger_hub_tp_theme_css .='opacity:0.2';
            $food_blogger_hub_tp_theme_css .='}';
        }else if($food_blogger_hub_theme_lay == '0.3'){
            $food_blogger_hub_tp_theme_css .='.single-page-img, .featured-image{';
                $food_blogger_hub_tp_theme_css .='opacity:0.3';
            $food_blogger_hub_tp_theme_css .='}';
        }else if($food_blogger_hub_theme_lay == '0.4'){
            $food_blogger_hub_tp_theme_css .='.single-page-img, .featured-image{';
                $food_blogger_hub_tp_theme_css .='opacity:0.4';
            $food_blogger_hub_tp_theme_css .='}';
        }else if($food_blogger_hub_theme_lay == '0.5'){
            $food_blogger_hub_tp_theme_css .='.single-page-img, .featured-image{';
                $food_blogger_hub_tp_theme_css .='opacity:0.5';
            $food_blogger_hub_tp_theme_css .='}';
        }else if($food_blogger_hub_theme_lay == '0.6'){
            $food_blogger_hub_tp_theme_css .='.single-page-img, .featured-image{';
                $food_blogger_hub_tp_theme_css .='opacity:0.6';
            $food_blogger_hub_tp_theme_css .='}';
        }else if($food_blogger_hub_theme_lay == '0.7'){
            $food_blogger_hub_tp_theme_css .='.single-page-img, .featured-image{';
                $food_blogger_hub_tp_theme_css .='opacity:0.7';
            $food_blogger_hub_tp_theme_css .='}';
        }else if($food_blogger_hub_theme_lay == '0.8'){
            $food_blogger_hub_tp_theme_css .='.single-page-img, .featured-image{';
                $food_blogger_hub_tp_theme_css .='opacity:0.8';
            $food_blogger_hub_tp_theme_css .='}';
        }else if($food_blogger_hub_theme_lay == '0.9'){
            $food_blogger_hub_tp_theme_css .='.single-page-img, .featured-image{';
                $food_blogger_hub_tp_theme_css .='opacity:0.9';
            $food_blogger_hub_tp_theme_css .='}';
        }else if($food_blogger_hub_theme_lay == '1'){
            $food_blogger_hub_tp_theme_css .='.single-page-img, .featured-image{';
                $food_blogger_hub_tp_theme_css .='opacity:1';
            $food_blogger_hub_tp_theme_css .='}';
        }

    $food_blogger_hub_header_banner_image_overlay = get_theme_mod('food_blogger_hub_header_banner_image_overlay', true);
    if($food_blogger_hub_header_banner_image_overlay == false){
        $food_blogger_hub_tp_theme_css .='.single-page-img, .featured-image{';
            $food_blogger_hub_tp_theme_css .='opacity:1;';
        $food_blogger_hub_tp_theme_css .='}';
    }

    $food_blogger_hub_header_banner_image_ooverlay_color = get_theme_mod('food_blogger_hub_header_banner_image_ooverlay_color', true);
    if($food_blogger_hub_header_banner_image_ooverlay_color != false){
        $food_blogger_hub_tp_theme_css .='.box-image-page{';
            $food_blogger_hub_tp_theme_css .='background-color: '.esc_attr($food_blogger_hub_header_banner_image_ooverlay_color).';';
        $food_blogger_hub_tp_theme_css .='}';
    }